import 'dart:async';

import 'package:flutter/services.dart';
import 'package:photoloader/photo.dart';

class PhotoLoader {
  static const MethodChannel _channel = const MethodChannel('photoloader');

  static Future<String> get photosAsJsonString async {
    return _channel.invokeMethod('loadPhotosAsJsonString');
  }

  static Future<List<Photo>> get photos async {
    final List<Map> photos = await _channel.invokeListMethod('loadPhotos');
    return photos
        .map(
          (p) => Photo(
            p['path'],
            id: p['id'],
            name: p['name'],
          ),
        )
        .toList();
  }
}
